org.keycloak.userprofile

## Class UserProfileMetadata

- java.lang.Object
- - org.keycloak.userprofile.UserProfileMetadata

- All Implemented Interfaces:
    Cloneable

      public final class UserProfileMetadata
      extends Object
      implements Cloneable

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserProfileMetadata(UserProfileContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeMetadata` | `addAttribute(AttributeMetadata metadata)`
    `AttributeMetadata` | `addAttribute(String name, int guiOrder, AttributeValidatorMetadata... validator)`
    `AttributeMetadata` | `addAttribute(String name, int guiOrder, List<AttributeValidatorMetadata> validators)`
    `AttributeMetadata` | `addAttribute(String name, int guiOrder, List<AttributeValidatorMetadata> validator, Predicate<AttributeContext> selector, Predicate<AttributeContext> writeAllowed, Predicate<AttributeContext> required, Predicate<AttributeContext> readAllowed)`
    `AttributeMetadata` | `addAttribute(String name, int guiOrder, Predicate<AttributeContext> writeAllowed, List<AttributeValidatorMetadata> validators)`
    `AttributeMetadata` | `addAttribute(String name, int guiOrder, Predicate<AttributeContext> writeAllowed, Predicate<AttributeContext> readAllowed, AttributeValidatorMetadata... validator)`
    `void` | `addAttributes(List<AttributeMetadata> metadata)`
    `UserProfileMetadata` | `clone()`
    `boolean` | `equals(Object o)`
    `List<AttributeMetadata>` | `getAttribute(String name)` Get existing AttributeMetadata for attribute of given name.
    `List<AttributeMetadata>` | `getAttributes()`
    `UserProfileContext` | `getContext()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProfileMetadata

          public UserProfileMetadata(UserProfileContext context)

  - ### Method Detail

    - #### getAttributes

          public List<AttributeMetadata> getAttributes()

    - #### addAttributes

          public void addAttributes(List<AttributeMetadata> metadata)

    - #### addAttribute

          public AttributeMetadata addAttribute(AttributeMetadata metadata)

    - #### addAttribute

          public AttributeMetadata addAttribute(String name,
                                                int guiOrder,
                                                AttributeValidatorMetadata... validator)

    - #### addAttribute

          public AttributeMetadata addAttribute(String name,
                                                int guiOrder,
                                                Predicate<AttributeContext> writeAllowed,
                                                Predicate<AttributeContext> readAllowed,
                                                AttributeValidatorMetadata... validator)

    - #### addAttribute

          public AttributeMetadata addAttribute(String name,
                                                int guiOrder,
                                                Predicate<AttributeContext> writeAllowed,
                                                List<AttributeValidatorMetadata> validators)

    - #### addAttribute

          public AttributeMetadata addAttribute(String name,
                                                int guiOrder,
                                                List<AttributeValidatorMetadata> validators)

    - #### addAttribute

          public AttributeMetadata addAttribute(String name,
                                                int guiOrder,
                                                List<AttributeValidatorMetadata> validator,
                                                Predicate<AttributeContext> selector,
                                                Predicate<AttributeContext> writeAllowed,
                                                Predicate<AttributeContext> required,
                                                Predicate<AttributeContext> readAllowed)

    - #### getAttribute

          public List<AttributeMetadata> getAttribute(String name)

      Get existing AttributeMetadata for attribute of given name.
      Parameters:
        `name` - of the attribute
      Returns:
        list of existing metadata for given attribute, never null

    - #### getContext

          public UserProfileContext getContext()

    - #### clone

          public UserProfileMetadata clone()

      Overrides:
        `clone` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.